static inline void __pmd_free_tlb(struct mmu_gather *tlb, pmd_t *pmdp,
                                  unsigned long addr)
{
    struct ptdesc *ptdesc = virt_to_ptdesc(pmdp);

    pagetable_pmd_dtor(ptdesc);
    tlb_remove_ptdesc(tlb, ptdesc);
}
